@import '@gitlab/ui/dist/tokens/scss/tokens.dark';

$gray-lightest: lighten($gray-10, 1);
$gray-light: lighten($gray-10, 2);
$gray-lighter: darken($gray-50, 4);
$gray-normal: $gray-50;
$gray-dark: darken($gray-100, 2);
$gray-darker: darken($gray-200, 2);
$gray-darkest: $gray-700;

// $data-viz blue shades required for $calendar-activity-colors
$data-viz-blue-50: #2a2b59;
$data-viz-blue-100: #303470;
$data-viz-blue-200: #374291;
$data-viz-blue-300: #3f51ae;
$data-viz-blue-400: #4e65cd;
$data-viz-blue-500: #617ae2;
$data-viz-blue-600: #7992f5;
$data-viz-blue-700: #97acff;
$data-viz-blue-800: #b7c6ff;
$data-viz-blue-900: #d2dcff;
$data-viz-blue-950: #e9ebff;

// Some of the other $t-gray-a variables are used
// for borders and some other places, so we cannot override
// them. These are used only for box shadows so we can
$t-gray-a-16: rgba($gray-10, 0.16);
$t-gray-a-24: rgba($gray-10, 0.24);

$black-normal: $gray-900;
$white-normal: $gray-50;
$white-dark: $gray-100;

$theme-indigo-50: #1a1a40;

$border-color: #4f4f4f;

$border-white-normal: $border-color;

$gl-text-color-secondary: $gray-700;

$body-bg: $gray-10;
$input-bg: $white;
$input-focus-bg: $white;
$input-color: $gray-900;
$input-group-addon-bg: $gray-900;

$card-cap-bg: $gray-50;

$tooltip-bg: $gray-800;
$tooltip-color: $gray-10;

$popover-color: $gray-950;
$popover-box-shadow: 0 2px 3px 1px $gray-700;
$popover-arrow-outer-color: $gray-800;

$secondary: $gray-700;

$yiq-text-dark: $gray-50;
$yiq-text-light: $gray-950;

// Commit Diff Colors
$line-added-dark: $green-200;
$line-removed-dark: $red-200;

$well-expand-item: $gray-200;
$well-inner-border: $gray-200;
